# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqExplorerOfHSequenceOfHExtendedString Class Reference

`#include <PColStd_SeqExplorerOfHSequenceOfHExtendedString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_SeqExplorerOfHSequenceOfHExtendedString (const Handle(PColStd_HSequenceOfHExtendedString)&S)
Standard_EXPORT Handle_PCollection_HExtendedString | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Handle(PCollection_HExtendedString)&T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PCollection_HExtendedString)&T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PCollection_HExtendedString)&T)

## Private Attributes

Handle_PColStd_SeqNodeOfHSequenceOfHExtendedString | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColStd_HSequenceOfHExtendedString | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqExplorerOfHSequenceOfHExtendedString::PColStd_SeqExplorerOfHSequenceOfHExtendedString | ( | const Handle(PColStd_HSequenceOfHExtendedString)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColStd_SeqExplorerOfHSequenceOfHExtendedString::Contains | ( | const Handle(PCollection_HExtendedString)& | T | ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfHExtendedString::Location | ( | const Standard_Integer | N,
|  | const Handle(PCollection_HExtendedString)& | T
| ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfHExtendedString::Location | ( | const Standard_Integer | N,
|  | const Handle(PCollection_HExtendedString)& | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColStd_SeqExplorerOfHSequenceOfHExtendedString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfHExtendedString::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfHExtendedString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_PCollection_HExtendedString PColStd_SeqExplorerOfHSequenceOfHExtendedString::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColStd_SeqExplorerOfHSequenceOfHExtendedString::CurrentIndex `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfHExtendedString PColStd_SeqExplorerOfHSequenceOfHExtendedString::CurrentItem `[private]`

Handle_PColStd_HSequenceOfHExtendedString PColStd_SeqExplorerOfHSequenceOfHExtendedString::TheSequence `[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqExplorerOfHSequenceOfHExtendedString.hxx